AclEntryStatusFormat (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, enum: AclEntryStatusFormat

Package org.apache.hadoop.hdfs.server.namenode

# Enum Class AclEntryStatusFormat

java.lang.Object
java.lang.Enum<AclEntryStatusFormat>
org.apache.hadoop.hdfs.server.namenode.AclEntryStatusFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<AclEntryStatusFormat>`, `Constable`, `org.apache.hadoop.hdfs.util.LongBitFormat.Enum`

public enum AclEntryStatusFormat extends Enum<AclEntryStatusFormat> implements org.apache.hadoop.hdfs.util.LongBitFormat.Enum
Class to pack an AclEntry into an integer.
An ACL entry is represented by a 32-bit integer in Big Endian format.
Note: this format is used both in-memory and on-disk. Changes will be incompatible.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NAME`
  `PERMISSION`
  `SCOPE`
  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getLength()`
  `static int[]`
  `toInt(List<AclEntry> aclEntries)`
  `static AclEntryStatusFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AclEntryStatusFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PERMISSION

    public static final AclEntryStatusFormat PERMISSION

  - ### TYPE

    public static final AclEntryStatusFormat TYPE

  - ### SCOPE

    public static final AclEntryStatusFormat SCOPE

  - ### NAME

    public static final AclEntryStatusFormat NAME

- ## Method Details

  - ### values

    public static AclEntryStatusFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AclEntryStatusFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toInt

    public static int[] toInt(List<AclEntry> aclEntries)

  - ### getLength

    public int getLength()
    Specified by:
      `getLength` in interface `org.apache.hadoop.hdfs.util.LongBitFormat.Enum`